
Redmine - Defect #41962

Incorrect Path in CSS

2024-12-09 20:00 - Matt Pogue

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 6.0.1

Description

In Redmine 6.0.1, CSS file `application-4cc96f8f.css` has font/image paths as `/assets/` instead of `/redmine/assets` which causes

404 errors on each page.

SOLUTION: Edit file in vim, make the following change:

`:s/assets/redmine\/assets/g`

Tested and confirmed on Debian 12.8, Apache Server 2.4.62 (Passenger), Redmine 6.0.1.

History

#1 - 2024-12-09 20:03 - Matt Pogue

Matt Pogue wrote:

In Redmine 6.0.1, CSS file application-4cc96f8f.css has font/image paths as /assets/ instead of /redmine/assets which causes 404 errors on each

page.

SOLUTION: Edit file in vim, make the following change:

:s/assets/redmine\/assets/g   

Tested and confirmed on Debian 12.8, Apache Server 2.4.62 (Passenger), Redmine 6.0.1.

#2 - 2024-12-09 20:16 - Matt Pogue

The full path to the file mentioned in the first note is public/assets/application-4cc96f8f.css.

Note: The fix should also be applied to file public/assets/jstoolbar-632454e7.css

#3 - 2024-12-10 04:03 - Go MAEDA

This issue occurs because you have not precompiled assets for the /redmine subdirectory, even though Redmine is deployed there.

The following commands should resolve the problem:

bin/rake assets:clobber RAILS_ENV="production" 

bin/rake assets:precompile RAILS_ENV="production" RAILS_RELATIVE_URL_ROOT=/redmine

 The first command removes the existing assets, and the second one precompiles the assets for /redmine.

#4 - 2024-12-11 19:24 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

Please reopen if you still experience issues.

#5 - 2024-12-19 10:03 - Tomoaki Yamada

Why does this problem occur?

I also encountered the same problem.

I think there is a problem with my installation process, but I don't know what it is.
#6 - 2024-12-19 13:28 - Matt Pogue

Tomoaki Yamada wrote in #note-5:

Why does this problem occur?

I also encountered the same problem.

I think there is a problem with my installation process, but I don't know what it is.

 I'm not sure either, as I never had to do these steps prior to v6.0,but I can confirm that executing the `assets:clobber` and `assets:precompile`

commands from the previous comment resolved the issue for me, so I've added them to my upgrade process.

Might just be dumb luck that I didn't need to do them before ;)

#7 - 2024-12-19 19:46 - Holger Just

With Redmine 6.0, we now use an assets pipeline which compiles javascript and css files. In Redmine 5.1 and before, the assets were strictly static.

See the release announcement for Redmine 6.0 at Redmine 6.0.0 is now available.

#8 - 2024-12-19 23:16 - Tomoaki Yamada

thank you for your helpful explanation.

#41754 had the following written:

In production mode, only on startup it will compile/recompile the assets.

 Does that mean I needed to do something before it compiled?

Yes, I think we should update the docs and RedmineInstall to mention about this configuration flag together with a recommendation. I don't find

useful to disable this behaviour for a simple installation with one server.

 When using redmine 6.x, does this mean that it is recommended (added to my installation instructions) to run the following before starting the web

server?

bin/rake assets:clobber RAILS_ENV="production"

bin/rake assets:precompile RAILS_ENV="production" RAILS_RELATIVE_URL_ROOT=/redmine

 https://www.redmine.org/projects/redmine/wiki/RedmineInstall

There is no description.
